aboutsummaryrefslogtreecommitdiff
path: root/usr.sbin/bsdinstall/scripts/docsinstall
diff options
context:
space:
mode:
Diffstat (limited to 'usr.sbin/bsdinstall/scripts/docsinstall')
-rwxr-xr-xusr.sbin/bsdinstall/scripts/docsinstall5
1 files changed, 4 insertions, 1 deletions
diff --git a/usr.sbin/bsdinstall/scripts/docsinstall b/usr.sbin/bsdinstall/scripts/docsinstall
index f0bc8f5ee8b9f..48365070e20f7 100755
--- a/usr.sbin/bsdinstall/scripts/docsinstall
+++ b/usr.sbin/bsdinstall/scripts/docsinstall
@@ -154,10 +154,13 @@ f_quietly cp -f $BSDINSTALL_TMPETC/resolv.conf $BSDINSTALL_CHROOT/etc/
#
# Install each of the selected packages
#
+docsets=""
for lang in $selected; do
- f_package_add $lang-freebsd-doc || return $FAILURE
+ docsets="$docsets $lang-freebsd-doc"
done
+ASSUME_ALWAYS_YES=YES chroot $BSDINSTALL_CHROOT pkg install $docsets || return $FAILURE
+
################################################################################
# END
################################################################################